---
title: "Retrieve a list of company location catalogs"
description: "Retrieve a list of company location catalogs in the store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/retrieve-a-list-of-company-location-catalogs'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/retrieve-a-list-of-company-location-catalogs.md'
---
# Retrieve a list of company location catalogs

Retrieve a list of company location catalogs in the store.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_product_listings`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /company_location_catalogs.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_product_listings`

## Request

### Query Parameters

* `limit`

  integer (optional)

  Limit the number of queries. The default value is 10 and the value cannot exceed 50.

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/company_location_catalogs.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `title`

  string (optional)

  Specify the title keywords for retrieving the catalog, using prefix fuzzy matching.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `catalogs`

  array<object>

  List of returned company location catalogs.

  * `status`

    integer

    The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.

  * `title`

    string

    The title of company location catalog.

  * `adjustment_type`

    integer

    The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.

  * `adjustment_value`

    integer

    The adjustment value based on `adjustment_type`, formatted as a percentage.
    - When decreasing the price, the value is limited to 0-100.
    - When increasing the price, the value is limited to 0-10,000.

  * `auto_add_product`

    boolean

    Whether newly added products should automatically be included in the catalog. Defaults to `false` if not specified.

  * `catalog_id`

    string

    The ID of company location catalog.

  * `created_at`

    string

    The creation date and time of the company location catalog.

  * `currency_code`

    string

    Currency code


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Retrieve a list of company location catalogs in the store.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_product_listings` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "hEUnZisn",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "Limit the number of queries. The default value is 10 and the value cannot exceed 50.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "Limit the number of queries. The default value is 10 and the value cannot exceed 50.",
        "type": "integer",
        "example": 10
      },
      "example": 10
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/company_location_catalogs.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The caller does not need to use and care about this field, which is automatically encapsulated by SHOPLINE.",
        "type": "string",
        "example": "eyJzaW5jZUlkIjoiMTYwNTc4NTY3NjcxMTc3MDcyNTEwNjAyODIiLCJkaXJlY3Rpb24iOiJuZXh0In0="
      },
      "example": "eyJzaW5jZUlkIjoiMTYwNTc4NTY3NjcxMTc3MDcyNTEwNjAyODIiLCJkaXJlY3Rpb24iOiJuZXh0In0="
    },
    {
      "name": "title",
      "in": "query",
      "description": "Specify the title keywords for retrieving the catalog, using prefix fuzzy matching.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "title",
        "description": "Specify the title keywords for retrieving the catalog, using prefix fuzzy matching.",
        "type": "string",
        "example": "A catalog title"
      },
      "example": "A catalog title"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "<https://{handle}.myshopline.com/admin/openapi/{version}/company_location_catalogs.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"previous\",<https://{handle}.myshopline.com/admin/openapi/{version}/company_location_catalogs.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=>; rel=\"next\""
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "catalogs": {
                "name": "catalogs",
                "description": "List of returned company location catalogs.",
                "type": "array",
                "items": {
                  "name": "catalogs",
                  "description": "List of returned company location catalogs.",
                  "type": "object",
                  "properties": {
                    "status": {
                      "name": "status",
                      "description": "The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.",
                      "type": "integer",
                      "example": 1
                    },
                    "title": {
                      "name": "title",
                      "description": "The title of company location catalog.",
                      "type": "string",
                      "example": "A catalog title"
                    },
                    "adjustment_type": {
                      "name": "adjustment_type",
                      "description": "The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.",
                      "type": "integer",
                      "example": 1
                    },
                    "adjustment_value": {
                      "name": "adjustment_value",
                      "description": "The adjustment value based on `adjustment_type`, formatted as a percentage.\n- When decreasing the price, the value is limited to 0-100.\n- When increasing the price, the value is limited to 0-10,000.",
                      "type": "integer",
                      "example": 50
                    },
                    "auto_add_product": {
                      "name": "auto_add_product",
                      "description": "Whether newly added products should automatically be included in the catalog. Defaults to `false` if not specified.",
                      "type": "boolean",
                      "example": true
                    },
                    "catalog_id": {
                      "name": "catalog_id",
                      "description": "The ID of company location catalog.",
                      "type": "string",
                      "example": "6598087148213149672"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "The creation date and time of the company location catalog.",
                      "type": "string",
                      "example": "2024-08-14T00:17:55+08:00"
                    },
                    "currency_code": {
                      "name": "currency_code",
                      "description": "Currency code",
                      "type": "string",
                      "example": "USD"
                    }
                  },
                  "example": {
                    "created_at": "2024-08-14T00:17:55+08:00",
                    "currency_code": "USD",
                    "status": 1,
                    "title": "A catalog title",
                    "adjustment_type": 1,
                    "adjustment_value": 50,
                    "auto_add_product": true,
                    "catalog_id": "6598087148213149672"
                  }
                },
                "example": [
                  {
                    "created_at": "2024-08-14T00:17:55+08:00",
                    "currency_code": "USD",
                    "status": 1,
                    "title": "A catalog title",
                    "adjustment_type": 1,
                    "adjustment_value": 50,
                    "auto_add_product": true,
                    "catalog_id": "6598087148213149672"
                  }
                ]
              }
            },
            "example": {
              "catalogs": [
                {
                  "adjustment_type": 1,
                  "adjustment_value": 50,
                  "auto_add_product": true,
                  "catalog_id": "6598087148213149672",
                  "created_at": "2024-08-14T00:17:55+08:00",
                  "currency_code": "USD",
                  "status": 1,
                  "title": "A catalog title"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/company_location_catalogs.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Retrieve a list of company location catalogs",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_product_listings"
  ]
}
```